3
geo2=# create extension postgis;
ERROR:  PostGIS is already installed in schema 'public', uninstall it first
geo2=# create extension postgis_topology;
ERROR:  required extension "postgis" is not installed

It seems I'm getting an error that postgis is installed, but when I try to install postgis_topology it says that it isn't. When I try to drop the extension I get:

geo2=# drop extension postgis;
ERROR:  extension "postgis" does not exist

How can I drop postgis from the public schema so I can add it to my database?

  • Are you working with the latest version available from GitHub? There were issues with this extension in the recent past: github.com/appropriate/docker-postgis/issues/2 – MaryBeth Mar 22 '16 at 1:23
  • 2
    how did you install postgis? and on what platform? – Mike T Mar 22 '16 at 21:39
  • Is this question still current? What PostgreSQL version and what PostGIS version do you have? – yorkie Sep 21 '18 at 20:55
  • I haven't gone back to figure this out. Can delete the question if necessary. – ionox0 Sep 23 '18 at 2:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.